%   linirbc.m       
setpath

% **********************
% LISTS OF VARIABLES
% AND ASSOCIATED INDICES
% **********************
%   USER INPUT 1: Steady-state calculation
    ssirbc
    
%   USER INPUT 2: Variable list
    vlstirbc
    load idirbc


%   USER INPUT 3: Specify Location of predetetermined variables
    lpd=[ik1 ik2];  

%   USER INPUT 4: Specify Length of leads in C matrices
    nlead = 0;

% **************** 
% system dimension 
% **************** 
ny=ROWS(ylist);
nx=ROWS(xlist);


% ********************************* %
% DEFINING THE MATRICES A, B AND C  %
% ********************************* %
% Initialize Matrices:

A=zeros(ny,ny);
B=zeros(ny,ny);

for i=0:nlead;
eval(['CF' num2str(i) '=zeros(ny,nx);']);
end

CF=zeros(ny,nx); 

% initialize equation list and equation number
elist=[];
eqn=0;

%   USER INPUT 5: Specify type of capital adjustment costs   
cac=input('Choose 1 for NO capital adjustment costs or 2 for capital adjustment costs: ')

if (cac==1)
eqnsirbc
else
eqnsirbcac
end

% **********************
% COMBINE Ci matrcies
% **********************
CF=[];
for i=0:nlead;
loc=eval(['CF' num2str(i)]);
CF=[CF loc];
end