% masterirbc.m

% Set path for KWRE package
setpath

% calculate RE solution
[M,PI,G,ylist,xlist,lpd,elist]=RESOLKW('linirbc','drvirbc');
  
% Set shock vector
mm=ROWS(M);
shock=zeros(1,mm);

sc=input('Choose 1 for technology shock in Country 1 or 2 for technology shock in Country 2: ')
if (sc==1)
shock(3)=1;
else
shock(4)=1;
end

% Compute impulse response
nir=20;
IR=IMPKW(M,PI,G,ylist,xlist,lpd,shock,nir);

% plot impulse responses;
plotirbc

