% eqnsrbc.m

% EQN
if sigma==1
    [elist,eqn]=ADDEQN('FOC:c',elist,eqn);
    B(eqn,ic1)=1;
    B(eqn,ilam)=1;

    [elist,eqn]=ADDEQN('FOC:c',elist,eqn);
    B(eqn,ic2)=1;
    B(eqn,ilam)=1;
else
    [elist,eqn]=ADDEQN('FOC:c',elist,eqn);
    B(eqn,ic1)=sigma;
    B(eqn,ilam)=-1;

    [elist,eqn]=ADDEQN('FOC:c',elist,eqn);
    B(eqn,ic2)=sigma;
    B(eqn,ilam)=-1;
end

% EQN
    [elist,eqn]=ADDEQN('FOC:n',elist,eqn);
    B(eqn,in1)=(1+gamma);
    B(eqn,ilam)=-1;
    B(eqn,iy1)=-1;
    
    [elist,eqn]=ADDEQN('FOC:n',elist,eqn);
    B(eqn,in2)=(1+gamma);
    B(eqn,ilam)=-1;
    B(eqn,iy2)=-1;

% EQN
   [elist,eqn]=ADDEQN('FOC:i',elist,eqn);
   B(eqn,ilam)=-1;
   B(eqn,ieta1)=1;
   B(eqn,ii1)=-theta;
   B(eqn,ik1)=theta;
   
   [elist,eqn]=ADDEQN('FOC:i',elist,eqn);
   B(eqn,ilam)=-1;
   B(eqn,ieta2)=1;
   B(eqn,ii2)=-theta;
   B(eqn,ik2)=theta;
   

% EQN
    [elist,eqn]=ADDEQN('FOC:kprime',elist,eqn);
    B(eqn,ieta1)=1;
    A(eqn,ieta1)=b*(1-delta);
    A(eqn,ii1)=b*(1-delta)*theta;
    A(eqn,ik1)=-(b*(1-delta)*theta)-(b*(1-sn)*yss/kss);
    A(eqn,ilam)=b*(1-sn)*yss/kss;
    A(eqn,iy1)=b*(1-sn)*yss/kss;
    
    [elist,eqn]=ADDEQN('FOC:kprime',elist,eqn);
    B(eqn,ieta2)=1;
    A(eqn,ieta2)=b*(1-delta);
    A(eqn,ii2)=b*(1-delta)*theta;
    A(eqn,ik2)=-(b*(1-delta)*theta)-(b*(1-sn)*yss/kss);
    A(eqn,ilam)=b*(1-sn)*yss/kss;
    A(eqn,iy2)=b*(1-sn)*yss/kss;

% EQN
    [elist,eqn]=ADDEQN('FOC: commodity resource',elist,eqn);
    B(eqn,iy1)=-1;
    B(eqn,ic1)=css/yss;
    B(eqn,ii1)=iss/yss;
    B(eqn,iy2)=-1;
    B(eqn,ic2)=css/yss;
    B(eqn,ii2)=iss/yss;
    
    
% EQN
    [elist,eqn]=ADDEQN('FOC:lam (k accumulation)',elist,eqn);
    A(eqn,ik1)=1;
    B(eqn,ik1)=1-delta;
    B(eqn,ii1)=delta;
    
    [elist,eqn]=ADDEQN('FOC:lam (k accumulation)',elist,eqn);
    A(eqn,ik2)=1;
    B(eqn,ik2)=1-delta;
    B(eqn,ii2)=delta;


% EQN
    [elist,eqn]=ADDEQN('defining y',elist,eqn);
    B(eqn,iy1)=-1;
    B(eqn,ik1)=(1-sn);
    B(eqn,in1)=sn;
    CF0(eqn,ia1)=1;
    
    [elist,eqn]=ADDEQN('defining y',elist,eqn);
    B(eqn,iy2)=-1;
    B(eqn,ik2)=(1-sn);
    B(eqn,in2)=sn;
    CF0(eqn,ia2)=1;
    