% rbcspeckkw.m
% Example of a program to plot the power spectrum of filtered 
% time series from a model.


masterirbc
load idirbc
load RHO
 
% calculate spectrum on interval (0,pi)
% selecting filter.

[FSD,om]=SPECKW(M,PI,G,RHO);

cpp=om/(2*pi);
ny=ROWS(ylist);

figure (3)
subplot(321),plot(cpp,FSD(1+iy1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Output')
subplot(322),plot(cpp,FSD(1+iy2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Output *')
subplot(323),plot(cpp,FSD(1+ic1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Consumption')
subplot(324),plot(cpp,FSD(1+ic2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Consumption *')
subplot(325),plot(cpp,FSD(1+in1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Labor')
subplot(326),plot(cpp,FSD(1+in2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Labor *')

figure (4)
subplot(321),plot(cpp,FSD(1+ia1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Productivity')
subplot(322),plot(cpp,FSD(1+ia2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Productivity *')
subplot(323),plot(cpp,FSD(1+ii1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Investment')
subplot(324),plot(cpp,FSD(1+ii2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Investment *')
subplot(325),plot(cpp,FSD(1+ik1,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Capital')
subplot(326),plot(cpp,FSD(1+ik2,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('Capital *')

